﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Net.Mail;
using System.Diagnostics;
using System.Net;

namespace XamRibbonMailEditor
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            SmtpClient smtpClient = new SmtpClient();
            MailMessage message = new MailMessage();
            smtpClient.DeliveryMethod = SmtpDeliveryMethod.Network;
            // Mail Server
            smtpClient.Host = Properties.Settings.Default.MailServer;
            smtpClient.UseDefaultCredentials = Properties.Settings.Default.MailCredentials;
            smtpClient.Credentials = new NetworkCredential(Properties.Settings.Default.MailUser, Properties.Settings.Default.MailPassword);


            MailAddress MailAddressFrom = new MailAddress(Properties.Settings.Default.MailUser);
            message.From = MailAddressFrom;
            string MailAddressTo = "";
            if (textBox1.Text.Length == 0) MessageBox.Show("There must be at least one name or contact in To box ", "Send mail");
            if (textBox2.Text.Length > 0) MailAddressTo = textBox1.Text + ";" + textBox2.Text;
            else MailAddressTo = textBox1.Text;
            while (MailAddressTo.Length > 0)
            {
                int charIndex = MailAddressTo.IndexOf(';');
                if (charIndex == -1)
                {
                    try
                    {
                        message.To.Add(MailAddressTo);
                        break;
                    }

                    catch (Exception ex)
                    {
                        EventLog.WriteEntry("Infragistics MailService", "Incorrect e-mail address <" + MailAddressTo + "> " + ex.ToString(), EventLogEntryType.Warning);

                    }

                }
                else
                {
                    string currentAddress = MailAddressTo.Substring(0, MailAddressTo.IndexOf(';'));

                    try
                    {
                        message.To.Add(currentAddress);
                    }

                    catch (Exception ex)
                    {
                        EventLog.WriteEntry("Infragistics MailService", "Incorrect e-mail address <" + MailAddressTo + "> " + ex.ToString(), EventLogEntryType.Warning);

                    }

                    MailAddressTo = MailAddressTo.Remove(0, charIndex + 1);
                }
            }

            message.Subject = textBox3.Text;
            message.IsBodyHtml = true;
            message.Body = emailBody.Text;

            //if (AttachedFileName.Length > 0)
            //{
            //    Attachment AttFile = null;
            //    AttFile = new Attachment(AttachedFileName);
            //    message.Attachments.Add(AttFile);
            //}

            smtpClient.Send(message);
            this.Close();
        }
    }
}
